Bug 965446 - Activation keys to also perform execution of scripts
Activation keys to also perform execution of scripts
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.4
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks: sat-nextgen
  Show dependency treegraph
 
Reported: 2013-05-21 05:13 EDT by Rajesh Konduskar
Modified: 2014-09-18 13:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 13:34:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajesh Konduskar 2013-05-21 05:13:23 EDT
Description of problem:

Activation keys to also perform execution of scripts (or snippets) so we can have a uniform view if the system is registered during kickstart or if it's registered using the bootstrap script.

Version-Release number of selected component (if applicable): RHNS 5.5
Comment 2 Mike McCune 2013-05-23 12:02:27 EDT
moving to Satellite 6 product to address there.
Comment 3 Rajesh Konduskar 2013-05-27 05:29:29 EDT
1. Proposed title of this feature request

--> Activation keys to also perform execution of scripts

2. Who is the customer behind the request?
Account: name (acct #) a/c no : 1644729 Name : LANTIK - DIPUTACION FORAL DE BIZKAIA
TAM customer: no/yes 
SRM customer: no/yes Yes
Strategic: no/yes    Yes

3. What is the nature and description of the request?

--> Customer would like Activation keys to also perform execution of scripts (or snippets) so they can have a uniform view if the system is registered during kickstart or if it's registered using the bootstrap script, customer wants to achieve this by running a custom script with Activation key.

4. Why does the customer need this? (List the business requirements here)

---> Customer wants perform some deployments like "deploy McAfee files, then run installer but he wants to achieve this by running a custom script with Activation key and not adding these details in %post section of kickstart.


5. How would the customer like to achieve this? (List the functional requirements here)

-----> customer wants to achieve this by having a functionality to user custom scripts with activation key.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

----> 

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

---> Not Found

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

----> No

9. Is the sales team involved in this request and do they have any additional input?

-----> No

10. List any affected packages or components.

----> Activation Key

11. Would the customer be able to assist in testing this functionality if implemented?

---> Yes they would test it.

Regards
Rajesh Konduskar
GSS,Red hat Inc.
Comment 4 Mike McCune 2014-03-18 13:34:59 EDT
We are going to close this as a WONTFIX.  We do not want to attach actions to Activation Keys that involve things like script executions.

This should be managed by puppet directly against the system.

Note You need to log in before you can comment on or make changes to this bug.